# Resize Starter

## Basic Information

* ソフト名: Resize Starter
* version: 1.0.0
* 対象OS：Windows (開発と実行確認は Windows 10 にて実施)
* 開発: 2022-05-30
* 最終更新: 2022-05-30
* 著作権者: 柳井政和
* E-mail: webmaster@crocro.com
* URL: http://crocro.com/
* 開発支援: https://ruten.fanbox.cc/
* copyright: (c) 2022 Masakazu Yanai

------------------------------------------------------------

## 本ソフトについて

本ソフトは「ソフトを開始して」「その直後のアクティブ ウィンドウの、位置やサイズを調整する」ソフトです。

JSON形式で設定を記述することで、複数のソフトを開き、ウィンドウを設定通りに並べることができます。

このソフトは元々、Google Chrome のウィンドウを複数開いて、指定位置に並べるために開発しました。

------------------------------------------------------------

## インストールについて

使用する際は、解凍したディレクトリごとHDDにコピーしてから実行してください。

「C:\resize-starter」などのディレクトリを利用するとよいでしょう。

------------------------------------------------------------

## 実行方法について

「resize-starter.exe」を実行すると、同じディレクトリにある「config.json」の設定を読み込んで実行します。

また「resize-starter.exe config2.json」のように引数を指定すると、「config2.json」の設定を読み込んで実行します。

### バッチファイルについて

引数を指定して実行するバッチファイルの例を用意しています。

「start-config2.json.bat」をダブルクリックすると「resize-starter.exe config2.json」を実行します。

中身をテキストファイルで書き換えれば、他の設定を実行できます。

------------------------------------------------------------

## JSONファイルの仕様

以下のURLをご覧ください。

http://crocro.com/pc/soft/resize_starter/index.html#json

------------------------------------------------------------

## ユーザー・サポートについて

### 手順

以下の手順をおこなって下さい。

1. 「UserSupport_ja.txt」を複製する。
2. 複製した「UserSupport_ja.txt」に、ユーザー・サポートの内容を記入する。
3. 記入した「UserSupport_ja.txt」を添付して、下記まで送付する。

E-mail : webmaster@crocro.com

画面に見えるバグなら、なるべくスクリーン・ショットを添付してください。（画像は、圧縮して送ってください）発生のタイミングも、可能な限り教えてください。

また、何が原因でそうなったのかの推測があれば、ぜひ記載してください。

### 感想 意見

感想、意見などは、下記宛てに送付してください。

E-mail : webmaster@crocro.com

### アンインストール、バージョン・アップについて

以下の手順でおこなって下さい。

1. JSONファイルをコピーしてバックアップしておきます。
2. アンインストールは、全てのファイルを削除してください。レジストリは利用していません。
3. コピーしておいたJSONファイルを、新しいソフトのフォルダに入れてください。

------------------------------------------------------------

## その他の情報

### 免責事項

このソフトウェアを使用したことによって生じたすべての障害・損害・不具合等に関しては、私と私の関係者および私の所属するいかなる団体・組織とも、一切の責任を負いません。各自の責任においてご使用ください。

### 著作権

本ソフトの著作権は、作者の”柳井 政和”が所有しています。

* 柳井政和
* http://crocro.com/
* http://twitter.com/ruten

本ソフトで利用しているDLLなどの著作権は、それぞれの作者に帰属しています。

### 開発支援

以下からおこなえます。

https://ruten.fanbox.cc/

### 転載などの条件

* 紹介 
    * インターネット : 許可します。問い合わせは不要です。スクリーンショットや画像などは、自由に利用してくださって構いません。
    * 書籍等 : 許可します。問い合わせは不要です。
* 二次配布 
    * インターネット : 禁止します。
    * 書籍等 : 禁止します。
